Subject: [bug#57702] [PATCH 0/8] Update rust-clap-3 to 3.2.17

From: John Kehayias <[email-masked]>
Date: Tue, 20 Sep 2022 19:31:08 +0000

Hi everyone,

Just dropping a note that many of these packages are required for the IceCat update that Mark has on the gnuzilla-updates branch. There, some version of the needed packages for newer rust (which is on staging already) and rust-cbindgen exist, which overlaps with the packages in this patch series. I also had contributed similar patches to another channel for building the latest of Firefox, which Mark used (along with other's work) for the IceCat update.

Anyway, just wanted to chime in so that this can be coordinated and avoid duplicated work. I only looked at this patch series quickly before, but I think many of the duplicate patches needed for cbindgen were similar across the different versions and should be straightforward to migrate to their proper package home outside of gnuzilla. Last I heard staging being merged to master was imminent, which will give us the newer rust compilers as well.

Let me know if there is something I can do to help.

John